# AdvancedBan v2 - Coded by Leoko
# For each setting, there is a small description.
# Please read each description carefully before changing anything.
# For more information visit: https://www.spigotmc.org/resources/advancedban.8695/
# Do you want your own Plugin or Website? Check out our Dev-Page: http://dev.skamps.eu

# If set to false all bans will be saved locally in a HSQLDB-Database
UseMySQL: false

MySQL:
  IP: localhost
  DB-Name: database-name
  Username: admin
  Password: superSecret
  Port: 3306
  Properties: 'verifyServerCertificate=false&useSSL=false&useUnicode=true&characterEncoding=utf8'

# Set to false if you want to have only short messages in the console
# On startup and on the shutdown.
DetailedEnableMessage: true
DetailedDisableMessage: true

# Whether to disallow connections to the server when there is an error
# with the database. (e.g.: if your MySQL Server goes down)
LockdownOnError: true

# This will be the default reason to be displayed if none is given
DefaultReason: "none"

# Change this if your server has a different time that your users.
# e.g.: ServerTime: 16:43 | Your Time: 13:43 | TimeDiff has to be set to -3
# You can check the server time with /systemPrefs
TimeDiff: 0

# This commands will be disabled for muted players
# A player wouldn't be able to bypass with eg "/minecraft:me"
MuteCommands:
- 'me'
- 'say'
- 'action'
- 'eaction'
- 'describe'
- 'edescribe'
- 'eme'
- 'w'
- 'm'
- 'pm'
- 'whisper'
- 'ewhisper'
- 'emsg'
- 'msg'
- 'etell'
- 'tell'
- 'er'
- 'r'
- 'reply'
- 'ereply'
- 'ac'
- 'eac'
- 'amsg'
- 'eamsg'
- 'ehelpop'
- 'p msg'

# These players will not be able to get punished in any way
# this also works if the player is offline
# Use Vault to make exempt permissions also work for offline players
ExemptPlayers:
- 'Leoko'
- 'md5'
- 'dutchy1001'
- 'ItzSomebody'

# The date-format which will be used for the %DATE% variable
DateFormat: "dd.MM.yyyy-HH:mm"

# This is useful for bungeecord servers or server with permission systems which do not support *-Perms
# So if you enable this you can use ab.all instead of ab.* or ab.ban.all instead of ab.ban.*
# This does not work with negative permissions! e.g. -ab.all would not block all commands for that user.
EnableAllPermissionNodes: false

# If you use external REST-APIs they will have to respond in JSON
# The given APIs will only be used for NAME -> UUID
# For UUID -> NAME will either use the official MojangAPI or the InternFetcher
# To check if you can use the intern fetcher do /systemPerfs and compare your uuid
#   to the one you can see online on http://NamesMC.com
#   if they are similar we recommend using the InternFetcher
UUID-Fetcher:
  # If dynamic it set to true it will override the 'enabled' and 'intern' settings
  # and automatically detect the best possible uuid fetcher settings for your server.
  # Our recommendation: don't set dynamic to false if you don't have any problems.
  Dynamic: true
  Enabled: true
  Intern: false
  REST-API:
    URL: "https://api.mojang.com/users/profiles/minecraft/%NAME%?at=%TIMESTAMP%"
    Key: "id"
  BackUp-API:
    URL: "https://us.mc-api.net/v3/uuid/%NAME%"
    Key: "uuid"

# These are the commands that will be performed on warns
# If you skip a number the command from before will be performed
# You can also use non-AdvancedBan-Commands like 'broadcast' or 'clear %PLAYER%
# Variables: %PLAYER%, %REASON%, %COUNT%
WarnActions:
  3: "kick %PLAYER% &c&oYou have received your 3rd warning!"
  4: "tempban %PLAYER% 30m &c&oYou have received your 4th warning!"
  5: "tempban %PLAYER% 5h &c&oYou have received your 5th warning!"
  6: "tempban %PLAYER% 7d &c&oYou have received your 6th warning!"
  7: "tempban %PLAYER% 1mo &c&oYou have received your %COUNT%th warning!"
  10: "ban %PLAYER% &c&oYou have received your 10th warning!"

# Here you can create permission-nodes for max-punishment-duration.
# The permission "ab.tempban.dur.1" would allow the player to ban max. for 600sec = 10min
# The permission "ab.tempwarn.dur.2" would allow the player to warn max. for 3600sec = 1h
# You can only create up to 10 perms. The perms can be overridden with "ab.COMMAND.dur.max"
TempPerms:
  1: 600
  2: 3600
  3: 43200

# With this active will show more information in the console, such as errors, if
# the plugin works correctly is not recommended to activate it since it is 
# designed to find bugs.
Debug: false

# This is the amount of days that we should keep plugin logs in the plugins/AdvancedBan/logs folder.
# By default is set to 10 days.
Log Purge Days: 10

# Removes the prefix of the plugin in every message.
Disable Prefix: false

# Register commands in a more friendly manner
# Off by default, so AdvancedBan can override /ban from other plugins
# This is a Bukkit-specific option. It has no meaning on BungeeCord
Friendly Register Commands: false
